Get all mock servers

View as Markdown

Gets all active mock servers. By default, this endpoint returns only mock servers you created across all workspaces.

Note:

If you pass both the teamId and workspace query parameters, this endpoint only accepts the workspace query.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

teamIdstringOptional
Return only results that belong to the given team ID.
workspacestringOptional
Return only results found in the given workspace ID.

Response

Successful Response
mockslist of objects
A list of mock servers.

Errors

401
Unauthorized Error
500
Internal Server Error